summarylogtreecommitdiffstats
path: root/paraFoam.patch
blob: f02a4e3fc50469497d04e0495b9fe5f7abbab8ed (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
--- src/OpenFOAM-2.4.x/bin/paraFoam
+++ src/OpenFOAM-2.4.x/bin/paraFoam
@@ -124,21 +124,26 @@ done
 # Get the ParaView major version to select the appropriate readers
 version=`echo $ParaView_VERSION | sed -e 's/^\([0-9][0-9]*\).*$/\1/'`
 
-# Check that reader module has been built
-if [ $requirePV -eq 1 -a ! -f $PV_PLUGIN_PATH/libPV${version}FoamReader_SM.so ]
-then
-    cat<< BUILDREADER
+# NOTE: For OpenFOAM built from AUR, paraview will already be installed
+# with the required readers. No need to perform this check.
+#
+#if [ $requirePV -eq 1 -a ! -f $PV_PLUGIN_PATH/libPV3FoamReader_SM.so ]
+#then
+#    cat<< BUILDREADER
+#if [ $requirePV -eq 1 -a ! -f $PV_PLUGIN_PATH/libPV${version}FoamReader_SM.so ]
+#then
+#    cat<< BUILDREADER
 
-FATAL ERROR: ParaView reader module libraries do not exist
+#FATAL ERROR: ParaView reader module libraries do not exist
 
-Please build the reader module before continuing:
-cd \$FOAM_UTILITIES/postProcessing/graphics/PV${version}Readers
-./Allwclean
-./Allwmake
+#Please build the reader module before continuing:
+#cd \$FOAM_UTILITIES/postProcessing/graphics/PV${version}Readers
+#./Allwclean
+#./Allwmake
 
-BUILDREADER
-    exit 1
-fi
+#BUILDREADER
+#    exit 1
+#fi
 
 # Check for --data=... argument
 hasDataArg()